/* https://coolors.co/0f183f-e3170a-05a7c7-ffffeb */
html {
	scroll-behavior: smooth!important;
	color: #FFF
}
html, body {
	width:  100%;
	height: 100%;
	margin: 0;
	display: block;
	font-family: Nunito,  sans-serif;
}
body {
    margin: 0;
    overflow-x: hidden;
	text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.65);
	color:#FFFFEB;
}
body a {
	color: inherit;
}
#threebg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -5;
}
#all-sections {
    z-index: 99;
    position: relative;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
}
.section-content {
    height: 100vh;
    width: fit-content;
}
.section-content-large {
	width: fit-content;
	height: auto;
	text-overflow: ellipsis;
	flex-shrink: 0;
}
.title-text {
	cursor: default;
    font-size: 4em;
	transition: all 0.25s ease-in-out;
	-webkit-transition: all 0.25s ease-in-out;
	-ms-transition: all 0.25s ease-in-out;
	z-index: 1;
}
.title-text a {
	text-decoration: none;
	cursor: default;
}
.section-title {
	position: relative;
	width: fit-content;
	margin: 0 auto;
}
.section-title::after {
	content: "";
    display: block;
    position: absolute;
    width: 110%;
    left: -5%;
    bottom: 11%;
    height: 0.5em;
    background-color: #05A7C7;
    z-index: -1;
}
.content {
	width: fit-content;
}
.link-wrapper,
.link-wrapper-text {
	position: relative;
	z-index: 2;
	font-size: inherit;
}
.link-wrapper {
	width: fit-content;
}
.link-wrapper-text {
	display: inline-block;
}
.anchor-link-menu {
	font-size: 2rem;
}
.link-normal,
.link-tiny,
.link-contact,
.link-sidemenu {
	text-decoration: none;
	cursor: pointer;
	transition: all 0.125s linear;
	-webkit-transition: all 0.125s linear;
	-ms-transition: all 0.125s linear;
}
.link-normal,
.link-sidemenu {
	font-size: 2em;
}
.link-contact {
	color: inherit; /*to be updated*/
}
.link-normal:hover,
.link-tiny:hover,
.link-contact:hover {
	color: #FFFFFF;
}
.link-normal::after,
.link-tiny::after,
.link-contact::after,
.link-sidemenu::after,
.link-sidemenu.active::after {
	display: block;
	position: absolute;
	z-index: -1;
	content: "";
	background-color: #E3170A;
	transition: all 0.125s linear;
	-webkit-transition: all 0.125s linear;
	-ms-transition: all 0.125s linear;
}
.link-normal::after,
.link-tiny::after,
.link-contact::after {
	width: 100%;
}
.link-normal::after,
.link-sidemenu::after,
.link-sidemenu.active::after {
	height: 0;
	bottom: 0.25rem;
	margin-left: 0.1rem;
	width: 112%;
	left: -6%;
}
.link-normal::after {
	bottom: 0.08rem;
}
.link-tiny::after {
	margin-left: 0.05rem;
	height: 0.1rem;
	bottom: 0.25rem;
}
.link-contact::after {
	height: 0;
	bottom: 1.05rem;
	width: 108%;
	left: -4%;
}
.link-normal:hover::after,
.link-sidemenu:hover::after,
.link-sidemenu.active::after {
	height: 1.1rem;
}
.link-tiny:hover::after {
	height: 0.55rem;
}
.link-contact:hover::after {
	height: 0.85rem;
}
.content-text {
	font-size: 2rem;
}
#about {
	min-height: 100vh;
}
#about-section {
	width: 50%;
	margin: 0 auto;
	font-size: 1.2em;
}
.about-text {
	text-align: justify;
	font-size: 0.85em;
	display: inline-block;
}
.modal-text {
	font-size: 1em;
	margin-bottom: 1.5em;
}
.plant-text {
	margin-bottom: 0.5em;
}
.contact-link,
.contact-icon {
	font-size: 1.5rem;	
}
.contact-link p,
.contact-icon p {
	text-decoration: none;
}
.contact-icon {
	margin-right: 0.4rem;
}
.contact-column {
	margin: 0 2rem;
	width: fit-content;
	position: relative;
    left: 0.5em;
}
.logo-svg {
	-webkit-filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.75));
	filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.75));
}
#back-link {
	bottom: -25%;
}
#back-to-top {
	margin-top: 4rem;
	position: fixed;
	z-index: 999;
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
	-ms-transition: all 0.3s ease-in-out;
	
}
.modal-content {
	border-radius: 0;
	background: none;
	border: none;
	overflow-x: hidden;
	background: rgba(0,0,0,0.15)
}
.modal-open .modal-backdrop {
	backdrop-filter: blur(8px);
	-webkit-backdrop-filter: blur(8px);
	background-color: rgba(0, 0, 0, 0.1);
	opacity: 1 !important;
}
.img-wrapper {
	display: flex;
	max-width: 100%;
	overflow-x: hidden;
	justify-content: center;
}

.img-container {
	margin-right: 0.25em;
	padding: 0;
}

.img-container:last-child {
	margin-right: 0;
}
.img-overview-l {
	max-height: 12em;
	width: auto;
}
.img-overview-m {
	max-height: 10em;
	width: auto;
}
.img-overview-s {
	max-height: 9em;
	width: auto;
}
.img-overview-xs {
	max-height: 4.75em;
	width: auto;
}
.img-freetime {
	margin-bottom: 1.5em;
}
.row-stuff-i-made-gr {
	margin-bottom: 1.5rem;
}
.row-stuff-i-made-au {
	margin-bottom: 0.25rem;
}
.col-stuff-title {
	padding-top: 0.25rem;
	border-top: 1px solid #FFFFEB;
}
.row-stuff-i-made-title {
	color:#FFFFEB;
	margin-bottom: 2rem;
}
.stuff-title { 
	font-size: 1rem;
	color:#FFFFEB;
	width: 110%;
}
.title-text-modal {
	font-size: 12pt;
	color:#FFFFEB;
}
.modal-point-title {
	font-size: 1.25em;
	font-weight: bold;
	color:#FFFFEB;
	position: relative;
	z-index: 2;
}
.modal-point-title::after {
	content: "";
    display: block;
    position: absolute;
    width: 110%;
    left: -5%;
    bottom: -8%;
    height: 0.6em;
    background-color: #05A7C7;
    z-index: -1;
}
#sidemenu {
	background: none;
	border: none;
	color:#FFFFEB;
	z-index: 101;
	margin-left: -30rem;
	padding-left: 1em;
	transition: margin-left 0.3s ease-in-out;
	-webkit-transition: margin-left 0.3s ease-in-out;
	-ms-transition: margin-left 0.3s ease-in-out;
}
.home-link-column {
    padding: 0.25em 0;
    text-align: center;
}
.home-links-wrapper {
	display: grid;
	margin: 0 auto;
	grid-template-columns: 25% 30% 25% 20%;
	width: 78%;
    align-items: center;
}
.home-link-left {
	text-align: left;
}
.home-link-right {
	text-align: right;
}
.custom-link-icon {
	font-size: inherit!important;
    text-decoration: none;
	padding-right: 0.5em;
}
.link-wedding {
	font-size: 1.5em;
}
.modal-img-thumb-column {
    padding: 0.25em;
}
.modal-img-thumb-column-left {
	text-align: right;
}
.modal-img-thumb-column-right {
	text-align: left;
}
/*
.modal-img-landscape {

}
*/
.modal-img-thumb-wrapper {
	display: grid;
	margin: 0 auto;
	grid-template-columns: 50% 50%;
	width: 100%;
    align-items: center;
	padding-bottom: 0.5em;
}
.menu-button {
	font-size: 2em;
    position: fixed;
    z-index: 999;
    top: 0.3em;
    left: 0.5em;
    width: fit-content;
    height: fit-content;
	margin-left: -30em;
}
#menuToggle {
	cursor: pointer;
	color: #FFFFEB;
	transition: all 0.2s ease-in-out;
	-webkit-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
}
/* Hide scrollbar for Chrome, Safari and Opera */
.modal-body::-webkit-scrollbar {
	display: none;
}
  
/* Hide scrollbar for IE, Edge and Firefox */
.modal-body {
	-ms-overflow-style: none;  /* IE and Edge */
	scrollbar-width: none;  /* Firefox */
	overflow-x: hidden;
	padding-bottom: 2.5em;	/* make space for close button */
}
.modal-close-icon {
	padding: 0.15em 0;
    font-size: 1.25em;
    position: absolute;
    z-index: 999;
    bottom: 0;
    left: 0;
    width: 100%;
    height: auto;
    color: #FFFFEB;
	background-color: rgb(18 40 107 / 75%); /* #12286B */
    text-shadow: none;
    text-align: center;
	transition: all 0.2s ease-in-out;
	-webkit-transition: all 0.2s ease-in-out;
	-ms-transition: all 0.2s ease-in-out;
	backdrop-filter: blur(2px);
	-webkit-backdrop-filter: blur(2px);
}
#closeModal {
	cursor: pointer;
	text-shadow: none;
	height: 100%;
}
#closeModalWrapped {
	position: relative;
	width: fit-content;
    margin: 0 auto;
}
#closeModalWrapped::after {
	content: "";
    display: block;
    position: absolute;
    width: 140%;
    left: -20%;
    bottom: 11%;
    height: 0;
    background-color: #E3170A;
    z-index: -1;
	transition: all 0.125s linear;
	-webkit-transition: all 0.125s linear;
	-ms-transition: all 0.125s linear;
}
#closeModal:hover #closeModalWrapped::after {
	height: 0.5em;
}

@media 
(max-width: 1280px),
(max-width: 980px),
(max-width: 736px),
(max-width: 480px)
{
}
@media (max-width: 992px) {
	.home-links-wrapper {
		width: 95%;
	}
}
@media (max-width: 860px) {
	.home-links-wrapper {
		width: 100%;
	}
	.title-text {
		font-size: 3em;
	}
	#about-section {
		width: 100%;
		font-size: 1.04em;
	}
	.menu-button {
		margin-left: 0;
		font-size: 2em;
	}
	#sidemenu {
		height: 100%;
		background-color: rgb(5 14 41 / 50%);
		backdrop-filter: blur(12px);
		-webkit-backdrop-filter: blur(12px);
		padding-right: 1em;
	}
	.anchor-link-menu {
		font-size: 2.5em;
	}
	.home-link-column {
		padding: 0;
	}
	.link-wedding {
		font-size: 2em;
	}
	.modal-text {
		font-size: 1.25em;
	}
	.img-overview-l {
		max-height: 9.5em;
	}
	.img-overview-m {
		max-height: 7em;
	}
	.img-overview-s {
		max-height: 7em;
	}
	.img-overview-xs {
		max-height: 4em;
	}
	.stuff-title {
		font-size: 1.15rem;
	}
}
@media (max-width: 768px) {
	.home-links-wrapper {
		grid-template-columns: 1fr;
		grid-template-rows: repeat(4, auto);
	}
}

@media (max-width: 480px) {
	.contact-column {
		left: 0;
	}
}